Bug 506245 - Supertuxkart unplayably slow
Supertuxkart unplayably slow
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: supertuxkart (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-16 07:08 EDT by Robin Green
Modified: 2009-07-22 17:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.6.1a-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 17:53:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Green 2009-06-16 07:08:34 EDT
Description of problem:
Supertuxkart runs at about 0.5 frames per second on my machine. glxinfo says that direct rendering is enabled, so it shouldn't be using software rendering.

Version-Release number of selected component (if applicable):
supertuxkart-0.6.1-2.fc11.i586

How reproducible:
Always

Steps to Reproduce:
1. Start supertuxkart
2. Choose quick race
3. Choose maths classroom
  
Actual results:
Runs at about 0.5 frames per second

Expected results:
Should run fast enough to play

Additional information:
On the konsole, it keeps printing errors about the sound not playing.
Comment 1 Gwyn Ciesla 2009-06-16 11:35:56 EDT
Wow.  It sure is.  Testing. . .
Comment 2 Gwyn Ciesla 2009-06-16 15:42:14 EDT
Let's see.  0.6.1a is out, but doesn't help.  Trying it and 0.6.1 on F-10. . .stay tuned. . .
Comment 3 Gwyn Ciesla 2009-06-17 14:51:46 EDT
Haven't been able to test 0.6.1a on F-10 yet, but a rebuild of 0.5 from F-10 for F-11 is *also* unplayably slow.
Comment 4 Gwyn Ciesla 2009-06-19 08:43:57 EDT
Ok, here's the sitch:

0.5 on F-10:  GOOD
0.6.1(a) on F-11: BAD
0.5 on F-11: BAD
0.6.1(a) on F-10: GOOD  (Friggin' awesome actually, my daughter loves it.)

Evidently the problem lies in something on F-11. . . digging. . .
Comment 5 Gwyn Ciesla 2009-07-01 08:47:11 EDT
Hmm. . .it's nothing it depends on directly, AFAICT.  A diff of the Requires for the packages shows minor differences in rpmlib and glibc.  I'm thinking it's a runtime thing.  Have you noticed slowness with other apps?
Comment 6 Robin Green 2009-07-01 08:58:50 EDT
(In reply to comment #5)
> Have you noticed slowness with other apps?  

Not really, no. But that's the only 3D game I've tried.
Comment 7 Gwyn Ciesla 2009-07-02 14:21:07 EDT
Latest mesa update fixes this for me.  Can you confirm?
Comment 8 Fedora Update System 2009-07-06 08:58:01 EDT
supertuxkart-0.6.1a-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/supertuxkart-0.6.1a-1.fc11
Comment 9 Fedora Update System 2009-07-11 12:54:31 EDT
supertuxkart-0.6.1a-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update supertuxkart'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7422
Comment 10 Fedora Update System 2009-07-22 17:52:55 EDT
supertuxkart-0.6.1a-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.